Bug 258085 - math/cgal: Udpate to 5.3
Summary: math/cgal: Udpate to 5.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Wen Heping
URL: https://www.cgal.org/2021/07/06/cgal53/
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-27 12:10 UTC by Loïc Bartoletti
Modified: 2021-09-02 19:13 UTC (History)
2 users (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments
cgal 5.3 (27.48 KB, patch)
2021-08-27 12:10 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval? (wen)
Details | Diff
Openscad fixed against cgal 5.3 (2.31 KB, patch)
2021-08-27 12:10 UTC, Loïc Bartoletti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2021-08-27 12:10:38 UTC
Created attachment 227473 [details]
cgal 5.3

Hi Wen,

There is a new version of CGAL: 5.3. This version will be the minimal version for the next release of databases/sfcgal

cgal:
 - update to 5.3
 - fix pkg-plist with QT5 option enable

openscad and openscad-devel:
 - fix against cgal 5.3 using github commit

poudriere OK
tested at works with databases/sfcgal
Comment 1 Loïc Bartoletti freebsd_committer 2021-08-27 12:10:58 UTC
Created attachment 227474 [details]
Openscad fixed against cgal 5.3
Comment 2 Wen Heping freebsd_committer 2021-08-27 12:57:58 UTC
Looks good, please go ahead !

Thank you !

wen
Comment 3 commit-hook freebsd_committer 2021-09-02 19:10:31 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=362858ffa5eed3fbbf94683c9924707146c1a3f4

commit 362858ffa5eed3fbbf94683c9924707146c1a3f4
Author:     Loïc Bartoletti <lbartoletti@FreeBSD.org>
AuthorDate: 2021-09-02 18:47:50 +0000
Commit:     Loïc Bartoletti <lbartoletti@FreeBSD.org>
CommitDate: 2021-09-02 18:47:50 +0000

    math/cgal: Update to 5.3

    Changes:
     - https://www.cgal.org/2021/07/06/cgal53/
     - fix pkg-plist with QT5 option enabled

    PR:             258085
    Approved by:    wen

 cad/PrusaSlicer/Makefile            |   2 +-
 cad/csxcad/Makefile                 |   2 +-
 databases/sfcgal/Makefile           |   2 +-
 games/flightgear-terragear/Makefile |   2 +-
 graphics/colmap/Makefile            |   2 +-
 graphics/wdune/Makefile             |   2 +-
 math/cgal/Makefile                  |   3 +-
 math/cgal/distinfo                  |   6 +-
 math/cgal/pkg-plist                 | 303 +++++++++++++++++++++---------------
 9 files changed, 187 insertions(+), 137 deletions(-)
Comment 4 commit-hook freebsd_committer 2021-09-02 19:10:32 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=912ab64cc1b09f73447e18d1172a338ad97afd93

commit 912ab64cc1b09f73447e18d1172a338ad97afd93
Author:     Loïc Bartoletti <lbartoletti@FreeBSD.org>
AuthorDate: 2021-09-02 18:44:59 +0000
Commit:     Loïc Bartoletti <lbartoletti@FreeBSD.org>
CommitDate: 2021-09-02 18:44:59 +0000

    cad/openscad*: Fix build against CGAL 5.3

    PR:             258085
    Approved by:    wen
    Obtained from:  https://github.com/openscad/openscad/pull/3844

 cad/openscad-devel/Makefile | 6 +++---
 cad/openscad-devel/distinfo | 2 ++
 cad/openscad/Makefile       | 9 +++------
 cad/openscad/distinfo       | 4 +++-
 4 files changed, 11 insertions(+), 10 deletions(-)
Comment 5 Loïc Bartoletti freebsd_committer 2021-09-02 19:13:55 UTC
Committed, thanks!